## org.aspectj.weaver.tools
Class FuzzyBoolean

    java.lang.Object
      org.aspectj.weaver.tools.FuzzyBoolean

    public class FuzzyBoolean

extends java.lang.Object

This class implements a boolean that includes a "maybe"

Field Summary
`static FuzzyBoolean` `MAYBE`
`static FuzzyBoolean` `NO`
`static FuzzyBoolean` `YES`

Method Summary
`static FuzzyBoolean` `fromBoolean(boolean b)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YES

    public static final FuzzyBoolean YES

### NO

    public static final FuzzyBoolean NO

### MAYBE

    public static final FuzzyBoolean MAYBE

Method Detail

### fromBoolean

    public static final FuzzyBoolean fromBoolean(boolean b)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`